Bug 1630349 - [typing-booster] On selecting candidate option number, greater than suggested number of candidates (keyboard shortcuts), typing-booster stops working.
Summary: [typing-booster] On selecting candidate option number, greater than suggested...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-18 12:48 UTC by Bhushan Barve
Modified: 2018-10-04 17:15 UTC (History)
3 users (show)

Fixed In Version: ibus-typing-booster-2.1.2-1.fc28 ibus-typing-booster-2.1.2-1.fc29 ibus-typing-booster-2.1.2-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 01:09:38 UTC


Attachments (Terms of Use)

Description Bhushan Barve 2018-09-18 12:48:50 UTC
Description of problem: I was checking typing-booster on es_ES locale. Entered keyword as 'barcelon'. The suggested candidates in the candidate selection window were

1. barcelona
2. Barcelona

I typed 3 from the keyboard shortcuts. The entered input disappeared. On further  typing, no candidate suggestions were provided. It stopped working. Had to switch to some other IM and come back to typing-booster again to make it work.

Version-Release number of selected component (if applicable):
ibus-1.5.19-3.fc29.x86_64
ibus-typing-booster-2.1.1-1.fc29.noarch
F29

How reproducible:
always

Steps to Reproduce:
1. as above
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Mike FABIAN 2018-09-19 08:47:04 UTC
I can reproduce that, both on Wayland and Xorg.

Comment 2 Fedora Update System 2018-09-24 10:14:05 UTC
ibus-typing-booster-2.1.2-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac648231cf

Comment 3 Fedora Update System 2018-09-24 10:17:43 UTC
ibus-typing-booster-2.1.2-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-021653b3dd

Comment 4 Fedora Update System 2018-09-24 10:23:24 UTC
ibus-typing-booster-2.1.2-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a5708b754

Comment 5 Fedora Update System 2018-09-27 02:08:46 UTC
ibus-typing-booster-2.1.2-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8a5708b754

Comment 6 Fedora Update System 2018-09-27 03:37:53 UTC
ibus-typing-booster-2.1.2-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ac648231cf

Comment 7 Fedora Update System 2018-09-27 04:46:45 UTC
ibus-typing-booster-2.1.2-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-021653b3dd

Comment 8 Fedora Update System 2018-09-30 01:09:38 UTC
ibus-typing-booster-2.1.2-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-10-02 19:31:15 UTC
ibus-typing-booster-2.1.2-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-10-04 17:15:25 UTC
ibus-typing-booster-2.1.2-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.